Bug 1663871 - audit log created in pod(kube-apiserver) but not on master server in next-gen installer 4.0
Summary: audit log created in pod(kube-apiserver) but not on master server in next-gen...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 4.1.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 4.1.0
Assignee: Maciej Szulik
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On: 1565555
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-07 09:21 UTC by zhou ying
Modified: 2019-06-04 10:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1565555
Environment:
Last Closed: 2019-06-04 10:41:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:41:49 UTC

Comment 1 zhou ying 2019-01-07 09:35:55 UTC
Please reference https://bugzilla.redhat.com/show_bug.cgi?id=1565555#c5 for path.

Comment 2 zhou ying 2019-01-07 09:46:31 UTC
And after specify 'auditFilePath' and 'policyFile' do not work, still use the default.

Comment 4 Maciej Szulik 2019-03-08 14:27:07 UTC
I just did:

1. access the master node directly:

oc debug node/<master-node> 
chroot /host /bin/bash 

2. ll /var/log/ which should return you kube-apiserver and openshift-apiserver directories
that contain audit logs. 

Moving back to qa for re-verification, but I don't see a bug here.

Comment 8 errata-xmlrpc 2019-06-04 10:41:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.